#
# spec file for package ghc-clientsession
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name clientsession
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.9.1.2
Release:        lp150.1.24
Summary:        Securely store session data in a client-side cookie
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-base64-bytestring-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cereal-devel
BuildRequires:  ghc-cipher-aes-devel
BuildRequires:  ghc-cprng-aes-devel
BuildRequires:  ghc-crypto-api-devel
BuildRequires:  ghc-crypto-random-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-entropy-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-setenv-devel
BuildRequires:  ghc-skein-devel
BuildRequires:  ghc-tagged-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-transformers-devel
%endif

%description
Achieves security through AES-CTR encryption and Skein-MAC-512-256
authentication. Uses Base64 encoding to avoid any issues with characters.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE
%{_bindir}/clientsession-generate

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sat Jul 16 2016 psimons@suse.com
- Update to version 0.9.1.2 revision 0 with cabal2obs.
* Sun Jul 10 2016 mimi.vx@gmail.com
- update to 0.9.1.2
  * Clarify that we're using MIT license
* Tue Apr 12 2016 psimons@suse.com
- Fix the license tag to match the terms published in the LICENSE
  file. The meta data in the Cabal file is incorrect, unfortunately:
  https://github.com/yesodweb/clientsession/issues/33
* Mon Feb 22 2016 psimons@suse.com
- initial version clientsession-0.9.1.1
